Project

popper_js

0.49
Low commit activity in last 3 years
A long-lived project that still receives updates
Works with Rails out of the box.
2005
2006
2007
2008
2009
2010
2011
2012
2013
2014
2015
2016
2017
2018
2019
2020
2021
2022
 Dependencies

Development

~> 2.0
~> 13.0
~> 3.0
 Project Readme

PopperJs

This gem provides popper.js assets as a Ruby gem.

Works with Rails out of the box.

Installation

Add this line to your application's Gemfile:

gem 'popper_js', '~> 2.9.3'

And then execute:

bundle

Usage

Require popper from your application.js:

//= require popper

Development

After checking out the repo, run bin/setup to install dependencies. Then, run rake spec to run the tests. You can also run bin/console for an interactive prompt that will allow you to experiment.

To update the bundled Popper.js assets to the latest version, run:

rake update

To install this gem onto your local machine, run bundle exec rake install. To release a new version, update the version number in version.rb, and then run bundle exec rake release, which will create a git tag for the version, push git commits and tags, and push the .gem file to rubygems.org.

Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/glebm/popper_js-rubygem. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the Contributor Covenant code of conduct.

License

The gem is available as open source under the terms of the MIT License.

Code of Conduct

Everyone interacting in the PopperJs project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the code of conduct.